Bug 1667606 - Flexvolume is broken on Openshift-4.0
Summary: Flexvolume is broken on Openshift-4.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.1.0
Assignee: Hemant Kumar
QA Contact: Wenqi He
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-18 23:15 UTC by Hemant Kumar
Modified: 2019-06-04 10:42 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:42:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:42:13 UTC

Description Hemant Kumar 2019-01-18 23:15:38 UTC
Flexvolume is broken on Openshift-4.0

Comment 3 Hemant Kumar 2019-01-28 17:44:41 UTC
This has been fixed in both controller-manager and kubelet.

Comment 5 Hemant Kumar 2019-02-11 16:13:18 UTC
New location for flexvolume plugin is - /etc/kubernetes/kubelet-plugins/volume/exec . It is a writable location on RHCOS machines and place where flexvolume plugins should be installer.

controller-manager, kubelet and apiserver already has been updated to use this location.

Comment 6 Hongkai Liu 2019-02-11 20:30:51 UTC
@Hemant,

Could you please point out which build contains the fix?
Thanks.
Hongkai

Comment 7 Hemant Kumar 2019-02-11 20:47:35 UTC
0.12 installer should already include fixed components.

Comment 8 karan singh 2019-02-12 16:21:05 UTC
Hey Hemant

I am using v0.12 and hitting this BZ

$ ./openshift-install-darwin-amd64 version

./openshift-install-darwin-amd64 v0.12.0


Not sure if i am missing something.

Comment 9 Hemant Kumar 2019-02-12 16:25:03 UTC
Have you tried installing flexvolume plugin in location I pointed out?

Comment 10 karan singh 2019-02-12 16:29:00 UTC
Sorry, don't know how to do that. 

Can you send me some instructions that i can try and share feedback with you ?

Thanks

Comment 12 Wenqi He 2019-02-22 07:33:11 UTC
Thanks @Hongkai for the feedback. I got the same results with him.
$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.0.0-0.nightly-2019-02-20-194410   True        False         28h     Cluster version is 4.0.0-0.nightly-2019-02-20-194410


$ oc get pods -n rook-ceph-system
NAME                                  READY   STATUS    RESTARTS   AGE
rook-ceph-agent-5zlvz                 1/1     Running   0          9m12s
rook-ceph-agent-642qp                 1/1     Running   0          9m12s
rook-ceph-agent-d9mvk                 1/1     Running   0          9m12s
rook-ceph-agent-g6vf7                 1/1     Running   0          9m12s
rook-ceph-agent-sdjh2                 1/1     Running   0          9m12s
rook-ceph-operator-5dd9cd8dc9-9ghms   1/1     Running   0          10m
rook-discover-56nrl                   1/1     Running   0          9m12s
rook-discover-bbbdk                   1/1     Running   0          9m12s
rook-discover-dhbtj                   1/1     Running   0          9m12s
rook-discover-tj9jd                   1/1     Running   0          9m12s
rook-discover-wkr5v                   1/1     Running   0          9m12s

Comment 15 errata-xmlrpc 2019-06-04 10:42:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.